%{?!dnf_lowest_compatible: %global dnf_lowest_compatible 2.1.1}
%{?!dnf_not_compatible: %global dnf_not_compatible 3.0}
%global hawkey_version 0.8.0

# Copr targets are available for mga6 and newer
%bcond_without copr_plugin

#global prerel rc1
%global rel 1

# Fedora package release versions are committed as versions in upstream
%define origrel %{?prerel:0.%{prerel}.}1

Name:       dnf-plugins-core
Version:    1.1.0
Release:    %mkrel %{?prerel:0.%{prerel}.}%{rel}
Summary:    Core Plugins for DNF
Group:      System/Packaging
License:    GPLv2+
URL:        https://github.com/rpm-software-management/dnf-plugins-core
Source0:    https://github.com/rpm-software-management/%{name}/archive/%{name}-%{version}-%{origrel}.tar.gz

BuildArch:  noarch

BuildRequires:  cmake
BuildRequires:  gettext
Requires:   python3-dnf-plugins-core = %{version}-%{release}
Provides:   dnf-command(builddep)
Provides:   dnf-command(config-manager)
%if %{with copr_plugin}
Provides:   dnf-command(copr)
%endif
Provides:   dnf-command(debuginfo-install)
Provides:   dnf-command(download)
Provides:   dnf-command(reposync)

%description
Core Plugins for DNF. This package enhances DNF with the builddep,
config-manager, %{?_with_copr_plugin:copr, }debuginfo-install, download,
needs-restarting, and reposync commands. Additionally, it provides
the generate_completion_cache passive plugin.

%package -n python2-dnf-plugins-core
Summary:    Python 2 interface to core plugins for DNF
Group:      System/Packaging
Provides:   python-dnf-plugins-core = %{version}-%{release}
BuildRequires:  python2-dnf >= %{dnf_lowest_compatible}
BuildRequires:  python2-dnf < %{dnf_not_compatible}
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python2-devel
Requires:   python2-dnf >= %{dnf_lowest_compatible}
Requires:   python2-dnf < %{dnf_not_compatible}
Requires:   python2-hawkey >= %{hawkey_version}

%description -n python2-dnf-plugins-core
Core Plugins for DNF, Python 2 interface. This package enhances DNF with the
builddep, %{?_with_copr_plugin:copr, }config-manager, debuginfo-install,
download, needs-restarting, and reposync commands. Additionally, it provides
the generate_completion_cache passive plugin.

%package -n python3-dnf-plugins-core
Summary:    Python 3 interface to core plugins for DNF
Group:      System/Packaging
BuildRequires:  python3-devel
BuildRequires:  python3-dnf >= %{dnf_lowest_compatible}
BuildRequires:  python3-dnf < %{dnf_not_compatible}
BuildRequires:  python3-nose
BuildRequires:  python3-sphinx
Requires:   python3-dnf >= %{dnf_lowest_compatible}
Requires:   python3-dnf < %{dnf_not_compatible}
Requires:   python3-hawkey >= %{hawkey_version}

%description -n python3-dnf-plugins-core
Core Plugins for DNF, Python 3 interface. This package enhances DNF with the
builddep, %{?_with_copr_plugin:copr, }config-manager, debuginfo-install,
download, needs-restarting, and reposync commands. Additionally it provides
the generate_completion_cache passive plugin.

%prep
%autosetup -n %{name}-%{name}-%{version}-%{origrel} -p1

rm -rf py3
mkdir py3


%build
%cmake
%make_build
make doc-man

# Py3 build
pushd ../py3
%cmake -DPYTHON_DESIRED:str=3 ../../
%make_build
make doc-man
popd


%install
pushd ./build
%make_install
popd
%find_lang %{name}

# Py3 install
pushd ./py3/build
%make_install
popd


%check
PYTHONPATH=./plugins /usr/bin/nosetests-2.* -s tests/

# Py3 check
PYTHONPATH=./plugins /usr/bin/nosetests-3.* -s tests/


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.rst
%{_mandir}/man8/dnf.plugin.*
%if %{without copr_plugin}
%exclude %{_mandir}/man8/dnf.plugin.copr.*
%endif
%dir %{_sysconfdir}/dnf/protected.d
%ghost %{_var}/cache/dnf/packages.db
%config(noreplace) %{_sysconfdir}/dnf/plugins/*

%files -n python2-dnf-plugins-core
%license COPYING
%doc AUTHORS README.rst
%{python2_sitelib}/dnf-plugins/*
%if %{without copr_plugin}
%exclude %{python2_sitelib}/dnf-plugins/copr.*
%endif
%{python2_sitelib}/dnfpluginscore/

%files -n python3-dnf-plugins-core
%license COPYING
%doc AUTHORS README.rst
%{python3_sitelib}/dnf-plugins/*
%if %{without copr_plugin}
%exclude %{python3_sitelib}/dnf-plugins/copr.*
%exclude %{python3_sitelib}/dnf-plugins/__pycache__/copr.*
%endif
%{python3_sitelib}/dnfpluginscore/



%changelog
* Thu Mar 23 2017 ngompa <ngompa> 1.1.0-1.mga6
+ Revision: 1094583
- Upgrade to 1.1.0
- Remove reference to noroot plugin that is now part of DNF

* Mon Feb 20 2017 ngompa <ngompa> 1.0.2-1.mga6
+ Revision: 1087001
- Update to 1.0.2, drop merged patches

* Sat Feb 18 2017 ngompa <ngompa> 1.0.1-1.mga6
+ Revision: 1086668
- Upgrade to 1.0.1

* Sun Nov 27 2016 ngompa <ngompa> 1.0.0-0.2.rc1.mga6
+ Revision: 1070521
- Fix description sections for packages

* Sat Nov 26 2016 ngompa <ngompa> 1.0.0-0.1.rc1.mga6
+ Revision: 1070236
- Upgrade to 1.0.0rc1

* Sat Aug 20 2016 ngompa <ngompa> 0.1.21-3.mga6
+ Revision: 1047189
- Backport patch for copr plugin to correctly guess chroot

* Wed Jun 15 2016 ngompa <ngompa> 0.1.21-2.mga6
+ Revision: 1021535
- Enable COPR plugin for mga6+

* Fri May 20 2016 ngompa <ngompa> 0.1.21-1.mga6
+ Revision: 1017076
- Update to 0.1.21

* Sun Apr 10 2016 ngompa <ngompa> 0.1.20-1.mga6
+ Revision: 1000155
- Update to dnf-plugins-core-0.1.20

* Mon Mar 14 2016 ngompa <ngompa> 0.1.17-1.mga6
+ Revision: 990740
- Update to 0.1.17

* Sun Jan 31 2016 ngompa <ngompa> 0.1.16-1.mga6
+ Revision: 929261
- Update to 0.1.16

* Sun Jan 24 2016 ngompa <ngompa> 0.1.15-1.mga6
+ Revision: 926808
- Update to dnf-plugins-core-0.1.15

* Wed Nov 11 2015 ngompa <ngompa> 0.1.13-3.mga6
+ Revision: 902411
- Add missing py3 conditional to %%check

* Fri Oct 16 2015 shlomif <shlomif> 0.1.13-2.mga6
+ Revision: 892021
- Fix some grammar
- Importing dnf-plugins-core thanks to Neal Gompa and from Fedora

